@-moz-document url-prefix() {
  fieldset { display: table-cell; }
}

body {
    font-size: 16px;
}

fieldset {
    margin-bottom: 1em;
}

footer {
    margin-top: 10px;
    border-top: 2px solid #cecae0;
    padding: 20px 10px 10px 10px;
}

.navbar-brand {
    font-weight: bold;
}

.navbar-brand span {
    font-family: "Lobster";
    font-weight: normal;
}

.btn-default {
    border-color: #9d8401;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.2);
}

#main {
    background-color: #f5f3df;
    padding-top: 65px;
}

#video {
    background-color: #222;
    padding-top: 65px;
    padding-bottom: 10px;

    .video-container {
        height: 77.77%;
        width: 100%;

        #live-stream {
            margin-left: auto;
            margin-right: auto;
        }
    }
}

#video-main {
    background-color: #f5f3df;
    padding-top: 20px;
}

#dc16 {
    background: url(/static/img/jumbotron-background.jpg) center center no-repeat;
    background-size: cover;
    min-height: 479px;
    margin-bottom: 20px;
    padding: 30px;

    .logo {
        background: transparent url(/static/img/jumbotron-text.png) center center no-repeat;
        background-size: contain;
        height: 190px;
        text-align: left;
        text-indent: -9999px;
    }

    p {
        color: #fff;
        font-size: 150%;
        margin: 30px 15% 0 15%;
    }

    h1 {
        border-bottom: none;
        padding-bottom: 0;
    }
}

.vertically-padded {
    margin-top: 1em;
    margin-bottom: 1em;
}

.marketing {
    background-color: #fff;
    padding: 30px 0;
}

.featurette-divider {
  margin: 50px 0; /* Space out the Bootstrap <hr> more */
}

.featurette {
    margin-bottom: 30px;
}

/* Thin out the marketing headings */
.featurette-heading {
  font-weight: 300;
  line-height: 1;
  letter-spacing: -1px;
}

.panel-title {
    border-bottom: none;
    font-size: 20px;
    padding-bottom: 0;
}

.panel-body {
    background-color: #fafaf2;
    border-radius: 4px;
}

.panel-profile {
    border-color: #5054a1;

    > .panel-heading {
        color: #fff;
        background-color: #5054a1;
        border-color: #5054a1;
    }
}

.panel-platinum {
    border-color: #5054a1;

    > .panel-heading {
        background-color: #5054a1;
        background-image: linear-gradient(to bottom, #686cb9 0, #5b5fac 100%);
        border-color: #5054a1;
        color: #fff;
    }

    > .panel-body {

        > div {
            display: table;
            float: left;
            margin-right: 20px;
            width: 300px;

            p {
                display: table-cell;
                vertical-align: middle;

                img {
                    height: 300px;
                    object-fit: contain;
                    width: 300px;
                }
            }
        }
    }
}

.panel-gold {
    border-color: #bba21f;

    > .panel-heading {
        background-color: #bba21f;
        background-image: linear-gradient(to bottom, #d3ba37 0, #c6ad2a 100%);
        border-color: #bba21f;
        color: #fff;
    }

    > .panel-body {

        > div {
            display: table;
            float: left;
            height: 100px;
            margin-right: 20px;
            max-height: 100px;
            width: 220px;

            p {
                display: table-cell;
                vertical-align: middle;

                img {
                    height: 110px;
                    object-fit: contain;
                    width: 220px;
                }
            }
        }
    }
}

.panel-silver {
    border-color: #9c1561;

    > .panel-heading {
        background-color: #9c1561;
        background-image: linear-gradient(to bottom, #b42d79 0, #a7206c 100%);
        border-color: #9c1561;
        color: #fff;
    }

    > .panel-body {

        > div {
            display: table;
            float: left;
            height: 125px;
            margin: 0 19px;
            width: 125px;

            p {
                display: table-cell;
                vertical-align: middle;

                img {
                    height: 100px;
                    object-fit: contain;
                    width: 125px;
                }
            }
        }
    }
}

.panel-bronze {
    border-color: #cecae0;

    > .panel-heading {
        background-color: #cecae0;
        background-image: linear-gradient(to bottom, #e6e2f8 0, #d9d5eb 100%);
        border-color: #cecae0;
    }

    > .panel-body {

        > div {
            display: table;
            float: left;
            height: 75px;
            margin: 0 17px;
            width: 100px;

            p {
                display: table-cell;
                vertical-align: middle;

                img {
                    height: 85px;
                    object-fit: contain;
                    width: 100px;
                }
            }
        }
    }
}

.panel-supporter {
    border-color: #ddd;

    > .panel-heading {
        background-image: linear-gradient(to bottom, #f5f5f5 0, #e8e8e8 100%);
        border-color: #ddd;
    }

    > .panel-body {
        > div {
            display: table;
            float: left;
            height: 75px;
            margin: 0 17px;
            width: 80px;

            p {
                display: table-cell;
                vertical-align: middle;

                img {
                    height: 70px;
                    object-fit: contain;
                    width: 80px;
                }
            }
        }
    }
}

.panel-body.sponsors {
    height: 160px;
    line-height: 160px;
}

.panel-body h2 {
    margin: 0;
}

.col-lg-4 > .panel-platinum > .panel-body > div,
.col-md-4 > .panel-platinum > .panel-body > div,
.col-lg-4 > .panel-gold > .panel-body > div,
.col-md-4 > .panel-gold > .panel-body > div {
    float: none;
    margin-left: auto;
    margin-right: auto;
}

.img-zoom {
    -webkit-transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    -ms-transition: all .2s ease-in-out;
}

.zoom-transition {
    background-color: #fff;
    border: 1px solid #ccc;
    -webkit-transform: scale(1.76);
    -moz-transform: scale(1.76);
    -o-transform: scale(1.76);
    transform: scale(1.76);
}

.page-content {
    min-height: 20px;
    margin-bottom: 20px;
    background-color: #f5f5f5;
    border: 1px solid #e3e3e3;
    border-radius: 4px;
    padding: 0px 19px;
}

.fancy-heading {
    color: #bba21f;
    font-family: Lobster;
    line-height: 1.2em;
    margin: 0 0 0.5em 0;
    overflow: hidden;
    text-align: center;

    span {
        position: relative;
    }

    span:before,
    span:after {
        content: "";
        position: absolute;
        border-bottom: 1px solid #9c1561;
        border-top: 1px solid #9c1561;
        width: 600px;
        height: 0;
        top: 50%;
        margin-top: 0;
    }

    span:before {
        right: 100%;
        margin-right: 15px;
    }

    span:after {
        left: 100%;
        margin-left: 15px;
    }
}

.announcement {
    font-size: 30px;

    > a {
        color: inherit;
        text-decoration: none;
    }
}

#div_id_reconfirm {
    background: #faa;
    padding: 1em 2em;
    font-size: 120%;
}

.wafer-talks,
.wafer-schedule {

    .table {
        background-color: #fff;

        thead th {
            background-color: #cecae0;
        }

        tbody td[colspan]:not([colspan="1"]) {
            background-color: #e3e0b6;
        }
    }

    .title {
        background-color: #5054a1 !important;
        color: #fff;
        font-weight: bold;
        margin-bottom: 2px;
    }

    .scheduleslot {
        width: 10%;
    }

}

.table-bordered,
.table-bordered > tbody > tr > td,
.table-bordered > tbody > tr > th,
.table-bordered > tfoot > tr > td,
.table-bordered > tfoot > tr > th,
.table-bordered > thead > tr > td,
.table-bordered > thead > tr > th {
    border: 2px solid #f5f3df;
}


/* Custom theme for video player */
.video-js {
    color: #fff;
    font-size: 10px;
}

.vjs-default-skin .vjs-big-play-button {
    border-radius: 1em;
    border: 0.06666em solid #fff;
    font-size: 4em;
    height: 1.5em;
    left: 50%;
    line-height: 1.4em;
    margin-left: -0.75em;
    margin-top: -0.75em;
    top: 50%;
    width: 1.5em;
}

.video-js {
    .vjs-control-bar,
    .vjs-big-play-button,
    .vjs-menu-button .vjs-menu-content {
        background-color: rgba(80, 84, 161, 0.7);
    }

    .vjs-slider {
        background-color: rgba(188, 189, 222, 0.5);
    }

    .vjs-volume-level,
    .vjs-play-progress,
    .vjs-slider-bar {
        background: #fff;
    }

    .vjs-load-progress {
        background: rgba(188, 189, 222, 0.5);
    }

    .vjs-load-progress div {
        background: rgba(188, 189, 222, 0.75);
    }
}
